# $Revision: 1.29 $, $Date: 2002/04/05 10:44:47 $
Summary:	WWW server logfile analysis program
Summary(pl):	Analizator logw serwera www
Name:		analog
Version:	5.22
Release:	1
License:	distributable
Group:		Networking/Utilities
Source0:	http://www.analog.cx/%{name}-%{version}.tar.gz
Patch0:		%{name}-config.patch
Requires:	webserver
URL:		http://www.statslab.cam.ac.uk/~sret1/analog/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW server logfile analysis program with lots of features.

%description -l pl
Analizator logw serwera www z wieloma opcjami.

%package form
Summary:	Form interface to analog
Summary(pl):	Interfejs w postaci formularza do analoga
Group:		Networking/Utilities
Requires:	%{name} = %{version}

%description form
Form interface to the analog httpd log analysis program. You should
regenerate the form file to customize it for your server by running
'analog -form +O/home/httpd/html/anlgform.html' after you have
modified /etc/analog.cfg.

%description form -l pl
Interfejs w postaci formularza do programu analog. Powiniene
wygenerowa nowy plik formularza po ustawieniu odpowiednich opcji w
/etc/analog.cfg poprzez wykonanie polecenia: 'analog -form
+O/home/httpd/html/anlgform.html'

%prep
%setup -q
%patch0 -p1

%build
%{__make} CFLAGS="%{rpmcflags}" CEXTRAFLAGS="%{rpmcflags}" %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/httpd/{icons,cgi-bin,html/usage} \
	$RPM_BUILD_ROOT{%{_var}/lib/%{name},%{_datadir}/%{name}/lang} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}

install analog $RPM_BUILD_ROOT%{_bindir}
install analog.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.cfg
install lang/* $RPM_BUILD_ROOT%{_datadir}/%{name}/lang
install analog.cfg $RPM_BUILD_ROOT%{_sysconfdir}
install images/* $RPM_BUILD_ROOT/home/httpd/icons
install anlgform.html $RPM_BUILD_ROOT/home/httpd/html/usage
install anlgform.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin

touch $RPM_BUILD_ROOT/home/httpd/html/usage/analog.html

gzip -9nf docs/*.txt lang/*.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/* lang/*.gz
%attr(755,root,root) %dir %{_datadir}/analog/lang
%attr(755,root,root) %dir %{_datadir}/analog
%attr(775,root,http) %dir /var/lib/analog
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/analog.cfg
%attr(755,root,root) %{_bindir}/analog
%{_datadir}/analog/lang/*.*
/home/httpd/icons/*.gif
%attr(755,root,root) %dir /home/httpd/html/usage
%verify(not size mtime md5) /home/httpd/html/usage/analog.html

%files form
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) /home/httpd/html/usage/anlgform.html
%attr(755,root,root) /home/httpd/cgi-bin/anlgform.pl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: analog.spec,v $
Revision 1.29  2002/04/05 10:44:47  dobrek
- Securitty upgrade to 5.22
- STBR

Revision 1.28  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/31 21:31:03  ankry
- added Group(es/pt_BR)

Revision 1.25  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/10 16:45:29  jajcus
- s/Distibutable/distributable/ in License

Revision 1.23  2001/07/08 12:42:35  lukasz
- updated to 5.03

Revision 1.22  2001/05/20 16:13:19  kloczek
- release 2: pass %%{rpmcflags} in CFLAGS.

Revision 1.21  2001/05/20 12:59:04  lukasz
- updated to 5.01

Revision 1.20  2001/05/13 23:19:33  lukasz
- updated to 5.0

Revision 1.19  2001/05/02 00:42:06  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.18  2001/02/27 01:45:37  kloczek
- spec adapterized (now is %%{debug} ready),
- few cosmetics and cleanups.

Revision 1.17  2001/02/26 21:15:54  lukasz
- updated to 4.16
- fix some bugs in spec file, like missing "-"

Revision 1.16  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.14  2000/04/25 16:16:47  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.13  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.11  2000/02/29 12:04:25  lukasz
- updated to 4.03

Revision 1.10  2000/02/18 13:32:04  wiget
- don't commpress htmls and gifs

Revision 1.9  2000/02/05 01:31:44  lukasz
- fixed forms (anlgform.pl, anlgform.html not yet)

Revision 1.8  2000/02/04 00:28:24  lukasz
- cosmetics

Revision 1.7  2000/02/04 00:25:43  lukasz
- fix permission for /usr/bin/analog from 775 to 755

Revision 1.6  2000/02/03 23:39:41  lukasz

- updated to 4.02
- build new patch

Revision 1.5  1999/12/02 01:20:20  kloczek
- cosmetics.

Revision 1.4  1999/11/25 14:12:56  lukasz
- updated to nalog3.32

Revision 1.3  1999/11/24 20:53:27  zagrodzki
- updated source location

Revision 1.2  1999/09/19 12:36:07  pius
- reorder in header

Revision 1.1  1999/08/02 10:11:30  misiek
update/new specs
